Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::NodeApplication_Callback_Impl Class Reference

A call back interface for NodeApplication Here is no need to be thread safe since for every nodeapplication we will have an unique callback object. --Tao. More...

`#include <NodeApp_CB_Impl.h>`

Collaboration diagram for CIAO::NodeApplication_Callback_Impl:

[legend]
List of all members.

## Public Member Functions
virtual PortableServer::POA_ptr | _default_POA (void)
## Public Attributes
NodeApplication_Callback_Impl(CORBA::ORB_ptr o, PortableServer::POA_ptr p, Deployment::NodeApplicationManager_ptr s, const Deployment::Properties &properties) ACE_THROW_SPEC((CORB | ~NodeApplication_Callback_Impl )()
| Destructor.
## Protected Member Functions
Deployment::NodeApplication_ptr | get_nodeapp_ref (void)
## Protected Attributes
CORBA::ORB_var | orb_
PortableServer::POA_var | poa_
Deployment::NodeApplicationManager_var | nam_
Deployment::NodeApplication_var | nodeapp_
Deployment::Properties_var | properties_
## Friends
class | NodeApplicationManager_Impl

## Detailed Description

A call back interface for NodeApplication Here is no need to be thread safe since for every nodeapplication we will have an unique callback object. --Tao.

## Member Function Documentation

PortableServer::POA_ptr CIAO::NodeApplication_Callback_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *not* increase the reference count of the POA.

Deployment::NodeApplication_ptr CIAO::NodeApplication_Callback_Impl::get_nodeapp_ref | ( | void |  | ) | `[protected]`

| Record the NodeApplication reference returned by the newly spawned NodeApplication and give it back a reference to NodeApplicationManager

## Friends And Related Function Documentation

friend class NodeApplicationManager_Impl`[friend]`

## Member Data Documentation

Deployment::NodeApplicationManager_var CIAO::NodeApplication_Callback_Impl::nam_`[protected]`

Deployment::NodeApplication_var CIAO::NodeApplication_Callback_Impl::nodeapp_`[protected]`

CORBA::ORB_var CIAO::NodeApplication_Callback_Impl::orb_`[protected]`

PortableServer::POA_var CIAO::NodeApplication_Callback_Impl::poa_`[protected]`

Deployment::Properties_var CIAO::NodeApplication_Callback_Impl::properties_`[protected]`

CIAO::NodeApplication_Callback_Impl::~NodeApplication_Callback_Impl

| Destructor.

The documentation for this class was generated from the following files:

- NodeApp_CB_Impl.h
- NodeApp_CB_Impl.cpp